ChangeSet 1.1348.19.2, 2003/06/23 16:45:22-07:00, oliver@neukum.org

[PATCH] USB: highdma support for kaweth

this tells the network layer that we can DMA from high memory
if the host controller supports it.

  - enable 64bit DMA on platforms that support it


 drivers/usb/net/kaweth.c |    5 +++++
 1 files changed, 5 insertions(+)


diff -Nru a/drivers/usb/net/kaweth.c b/drivers/usb/net/kaweth.c
--- a/drivers/usb/net/kaweth.c	Tue Jun 24 15:29:27 2003
+++ b/drivers/usb/net/kaweth.c	Tue Jun 24 15:29:27 2003
@@ -56,9 +56,11 @@
 #include <linux/usb.h>
 #include <linux/types.h>
 #include <linux/ethtool.h>
+#include <linux/pci.h>
 #include <asm/uaccess.h>
 #include <asm/semaphore.h>
 #include <asm/byteorder.h>
+#include <asm/dma-mapping.h>
 
 #define DEBUG
 
@@ -1078,6 +1080,9 @@
 	SET_MODULE_OWNER(netdev);
 
 	usb_set_intfdata(intf, kaweth);
+
+	if (dma_supported (&intf->dev, 0xffffffffffffffffULL))
+		kaweth->net->features |= NETIF_F_HIGHDMA;
 
 	if (register_netdev(netdev) != 0) {
 		kaweth_err("Error calling init_etherdev.");
